# $Revision: 1.22.2.2 $, $Date: 2007/03/27 22:17:36 $
#
# Conditional build:
%bcond_without	dist_kernel	# without distribution kernel
%bcond_without	kernel		# don't build kernel modules
%bcond_without	up		# don't build UP module
%bcond_without	smp		# don't build SMP module
%bcond_without	userspace	# don't build userspace utilities
%bcond_with	verbose		# verbose build (V=1)
%bcond_with	grsec_kernel	# build for kernel-grsecurity
#
%if %{with kernel} && %{with dist_kernel} && %{with grsec_kernel}
%define	alt_kernel	grsecurity
%endif
#
%ifarch sparc
%undefine	with_smp
%endif
#
%define		_rel	13
Summary:	Automatically mounts and unmounts removable media devices
Summary(pl):	Automatyczne montowanie i odmontowywanie wymiennych nonikw danych
Name:		submount
Version:	0.9
Release:	%{_rel}
License:	GPL v2
Group:		Base/Kernel
Source0:	http://dl.sourceforge.net/submount/%{name}-%{version}.tar.gz
# Source0-md5:	f6abac328dbfb265eff18561065575c6
Patch0:		%{name}-subfs.patch
URL:		http://submount.sourceforge.net/
%if %{with kernel}
%{?with_dist_kernel:BuildRequires:	kernel%{_alt_kernel}-module-build >= 3:2.6.7}
BuildRequires:	rpmbuild(macros) >= 1.308
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Submount is a system for automatically mounting and unmounting
removable media drives like cdroms and floppy disk drives. It works
with the Linux 2.6 kernel series. Once installed, it allows removable
media drives to be accessed as if they were permanently mounted. In
the opposite to supermount doesn't require patching the kernel.

%description -l pl
Submount jest systemem automatycznego montowania i odmontowywania
wymiennych nonikw danych, takich jak pyty CD-ROM czy dyskietki.
Dziaa z jdrami serii 2.6. Raz zainstalowany, umoliwia dostp do
wymiennych nonikw danych tak, jakby byy one trwale montowane. W
przeciwiestwie do supermount nie wymaga atania jdra.

%package -n kernel%{_alt_kernel}-fs-subfs
Summary:	Submount - kernel module
Summary(pl):	Submount - modu jdra
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
%if %{with dist_kernel}
%requires_releq_kernel_up
Requires(postun):	%releq_kernel_up
%endif

%description -n kernel%{_alt_kernel}-fs-subfs
This is a driver for Submount for Linux.

This package contains Linux module.

%description -n kernel%{_alt_kernel}-fs-subfs -l pl
Sterownik dla Linuksa do Submount.

Ten pakiet zawiera modu jdra Linuksa.

%package -n kernel%{_alt_kernel}-smp-fs-subfs
Summary:	Submount - SMP kernel module
Summary(pl):	Submount - modu jdra SMP
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
%if %{with dist_kernel}
%requires_releq_kernel_smp
Requires(postun):	%releq_kernel_smp
%endif

%description -n kernel%{_alt_kernel}-smp-fs-subfs
This is a driver for Submount for Linux.

This package contains Linux SMP module.

%description -n kernel%{_alt_kernel}-smp-fs-subfs -l pl
Sterownik dla Linuksa do Submount.

Ten pakiet zawiera modu jdra Linuksa SMP.

%prep
%setup -q
%patch0 -p1

%build
%if %{with kernel}
cd subfs-%{version}
for cfg in %{?with_dist_kernel:%{?with_smp:smp} up}%{!?with_dist_kernel:nondist}; do
	if [ ! -r "%{_kernelsrcdir}/config-$cfg" ]; then
		exit 1
	fi
        install -d o/include/linux
        ln -sf %{_kernelsrcdir}/config-$cfg o/.config
        ln -sf %{_kernelsrcdir}/Module.symvers-$cfg o/Module.symvers
        ln -sf %{_kernelsrcdir}/include/linux/autoconf-$cfg.h o/include/linux/autoconf.h
        %{__make} -j1 -C %{_kernelsrcdir} O=$PWD/o prepare scripts
	%{__make} -C %{_kernelsrcdir} clean \
		RCS_FIND_IGNORE="-name '*.ko' -o" \
		M=$PWD O=$PWD/o \
		%{?with_verbose:V=1}
	%{__make} -C %{_kernelsrcdir} modules \
%if "%{_target_base_arch}" != "%{_arch}"
		ARCH=%{_target_base_arch} \
		CROSS_COMPILE=%{_target_base_cpu}-pld-linux- \
%endif
		HOSTCC="%{__cc}" \
		M=$PWD O=$PWD/o \
		%{?with_verbose:V=1}
	mv subfs.ko subfs-$cfg.ko
done
cd -
%endif

%if %{with userspace}
cd submountd-%{version}
%configure
%{__make} \
	CFLAGS="%{rpmcflags}"
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with kernel}
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}{,smp}/kernel/fs
cd subfs-%{version}
install subfs-%{?with_dist_kernel:up}%{!?with_dist_kernel:nondist}.ko \
	$RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/kernel/fs/subfs.ko
%if %{with smp} && %{with dist_kernel}
install subfs-smp.ko \
	$RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/kernel/fs/subfs.ko
%endif
cd -
%endif

%if %{with userspace}
install -d $RPM_BUILD_ROOT{/sbin,%{_mandir}/man8}
install submountd-%{version}/net-submountd $RPM_BUILD_ROOT/sbin
install submountd-%{version}/submountd $RPM_BUILD_ROOT/sbin
install submountd-%{version}/submount.8 $RPM_BUILD_ROOT%{_mandir}/man8
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n kernel%{_alt_kernel}-fs-subfs
%depmod %{_kernel_ver}

%postun -n kernel%{_alt_kernel}-fs-subfs
%depmod %{_kernel_ver}

%post	-n kernel%{_alt_kernel}-smp-fs-subfs
%depmod %{_kernel_ver}smp

%postun -n kernel%{_alt_kernel}-smp-fs-subfs
%depmod %{_kernel_ver}smp

%if %{with userspace}
%files
%defattr(644,root,root,755)
%doc README submountd-%{version}/{AUTHORS,ChangeLog}
%attr(755,root,root) /sbin/*
%{_mandir}/man8/*
%endif

%if %{with kernel}
%if %{with up} || %{without dist_kernel}
%files -n kernel%{_alt_kernel}-fs-subfs
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/kernel/fs/subfs.ko*
%endif

%if %{with smp} && %{with dist_kernel}
%files -n kernel%{_alt_kernel}-smp-fs-subfs
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}smp/kernel/fs/subfs.ko*
%endif
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: submount.spec,v $
Revision 1.22.2.2  2007/03/27 22:17:36  glen
- rel 13 (kernel 2.6.16.45)

Revision 1.22.2.1  2007/03/15 23:16:27  glen
- rel 12

Revision 1.22  2007/01/23 10:26:01  hawk
- release 11

Revision 1.21  2006/12/08 13:05:51  hawk
- workaround for builder automation to allow building against
  kernel-grsecurity (via bcond)
- release 10

Revision 1.20  2006/10/20 00:33:49  charles
- updated -subfs.patch (for kernel >= 2.6.18)
- rel. ++

Revision 1.19  2006/09/06 13:48:33  sparky
- mass atack: -j1 for make scripts

Revision 1.18  2006/07/02 15:37:17  hawk
- release 8

Revision 1.17  2006/07/02 09:45:38  charles
- alternative kernel support

Revision 1.16  2006/06/30 19:53:13  hawk
- release 7

Revision 1.15  2006/06/18 04:29:10  charles
- added -subfs.patch (kernel >= 2.6.16 compatibility)

Revision 1.14  2006/04/12 12:15:40  glen
- add kernel epoch, adapterized

Revision 1.13  2006/03/17 22:03:47  glen
- rel 6

Revision 1.12  2006/02/11 13:55:28  arekm
- rel 5

Revision 1.11  2006/01/26 10:03:00  arekm
- rel 4

Revision 1.10  2006/01/12 20:35:03  arekm
- rel 3; fix ppc/sparc

Revision 1.9  2005/11/13 02:20:02  sparky
- if there is no asm-powerpc link asm-ppc !
- spaces->tabs

Revision 1.8  2005/11/12 11:06:43  arekm
- rel 2

Revision 1.7  2005/09/22 18:22:31  pluto
- docs added, typo fixed, adapterized.

Revision 1.6  2005/09/22 18:16:24  pluto
- s/kernel-misc-submount/kernel-fs-subfs/.
- cosmetics/desc.

Revision 1.5  2005/09/15 18:25:05  sparky
- prepared for kernel >= 2.6.13: link Module.symvers

Revision 1.4  2005/08/17 23:08:45  qboosh
- pl cosmetics, kernel/userspace bconds

Revision 1.3  2005/08/16 21:55:15  charles
- rpmbuild(macros) >= 1.217 (fixed requires_releq_kernel_{up,smp} macro)
- more and fixed desc

Revision 1.2  2005/08/16 11:37:49  spider
- more pl
- this rel macro is really needed ?

Revision 1.1  2005/08/15 02:28:27  charles
- initial PLD release
